%define gtkguiversion 0.39
%define name gtk+licq
# defines what this version of the plugin requires what version of licq to bb
%define builtfor 0.85
%define release 4mdk
%define prefix %{_prefix}

Name: %{name}
Release: %{release}
Version: %{gtkguiversion}
Source: http://gtk.licq.org/download/gtk+licq-%{version}.tar.bz2
# u need this patch if you wann a build wo gnome
Patch: gtk+licq.patch.bz2
Group: Networking/Instant messaging
URL: http://gtk.licq.org
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: licq = %{builtfor} gtk+ >= 1.2.0 
BuildRequires: licq-devel = %{builtfor} gtk+-devel >= 1.2.0
Summary: gtk+licq is a gtk based GUI plugin for Licq
Provides: licq-plugin

#%package nognome
#Group: Networking/ICQ
#Summary: gtk+licq without gnome support
#Provides: licq-plugin
#Requires: gtk+ >= 1.2.0 licq = %{builtfor} %{name}-base = %{version}

#%package base
#Group: Networking/ICQ
#Summary: base files for gtk+licq
#Obsoletes: licq-gtk

%description 
This is a gtk based GUI plugin for Licq. This is a plugin based on the QT
plugin which is installed by default. It is extremely well developed and
usable.

Although this plugin is not included in the standard Licq source package, you
should install this if you want another plugin, or you can also install this
if you don't like qt.

Because the Licq qt plugin is started by default, you must issue a 
licq -p gtk_gui if you wish to use the plugin. This only needs to be done once.

Install this if you want to have a gtk-based GUI for Licq. 

Note that this RPM is different from Jon's GTK GUI for Licq.

#%description nognome
#This is the same plugin as licq-gtk, but this does not have gnome support.
#
#Install this one if you want one without gnome support.

#%description base
#These are the base, required files for gtk+licq.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gtk+licq-%{version} 
%patch -p1

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} 


uname -a | grep -qi smp && make -j2 || make


#make distclean
#CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-gnome

#uname -a | grep -qi smp && make -j2 || make


%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/licq
mkdir -p $RPM_BUILD_ROOT%{_datadir}/licq

#yuck.
# FIXME --Geoff
cd src/.libs 
install -m755 licq_gtk_gui.so $RPM_BUILD_ROOT%{_libdir}/licq 
cd ../..
#install -m755 licq_gtk_gui_nognome.so $RPM_BUILD_ROOT%{prefix}/lib/licq

# install shared pixmaps and icons.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/licq/gtk-gui/{pixmaps,icons}
for i in pixmaps/* ;do
   install -m644 $i $RPM_BUILD_ROOT%{_datadir}/licq/gtk-gui/pixmaps
done
for j in icons/*  ; do
   install -m644 $j $RPM_BUILD_ROOT%{_datadir}/licq/gtk-gui/icons
done
#install the locale stuff
cd po
# urgh. urgh. urgh. urgh.
perl -pi -e "s/prefix = \/usr/prefix = \$RPM_BUILD_ROOT\%{prefix}/" Makefile
## note no need to use $RPM_BUILD_ROOT here because it has been fixed wit perl
make prefix=$RPM_BUILD_ROOT%{prefix} install
cd ..

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT  



# gtk+licq
#%files
#%defattr(-,root,root)
#%{_libdir}/licq/licq_gtk_gui.so

#%files nognome
#%defattr(-,root,root)
#%{_libdir}/licq/licq_gtk_gui_nognome.so

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/licq/licq_gtk_gui.so
%{_datadir}/licq/gtk-gui
#%{_datadir}/locale/*/LC_MESSAGES/*
%doc ABOUT-NLS README 
%doc AUTHORS BUGS
%doc COPYING ChangeLog 
%doc NEWS 


%changelog
* Thu Sep 07 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 0.39-4mdk
- use the %%find_lang macro. (gc)

* Tue Sep 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39-3mdk
- rebuilt to fix the requires problem.
- a group change.

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39-2mdk
- fix the requires

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.39-1mdk
- readding back of gtk+licq (sorry there was a bit of confusion before
  and it got removed temporarily ...)

* Sat Jul 15 2000 Geoffrey Lee <snailtalk@users.sourceforge.net>
- fix the nognome package (hopefully)
- fix the building of the broken non-gnome package (Mattias)

* Thu Jul 13 2000 Geoffrey Lee <snailtalk@users.sourceforge.net>
- fix some kludges
- gzip source
- one with gnome stuff and one without

* Wed Jul 12 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- first rpm from gtk+licq at the request of gtk+licq developers, mail problems
  to the maintainer of this rpm Geoffrey Lee <snailtalk@users.sourceforge.net>


# eof

